**********************
``matplotlib.patches``
**********************


.. inheritance-diagram:: matplotlib.patches
   :parts: 1

.. automodule:: matplotlib.patches
   :no-members:
   :no-inherited-members:

Classes
-------

.. autosummary::
   :toctree: _as_gen/
   :template: autosummary.rst

   Annulus
   Arc
   Arrow
   ArrowStyle
   BoxStyle
   Circle
   CirclePolygon
   ConnectionPatch
   ConnectionStyle
   Ellipse
   FancyArrow
   FancyArrowPatch
   FancyBboxPatch
   Patch
   PathPatch
   StepPatch
   Polygon
   Rectangle
   RegularPolygon
   Shadow
   Wedge

Functions
---------

.. autosummary::
   :toctree: _as_gen/
   :template: autosummary.rst

   bbox_artist
   draw_bbox
